CURLOPT_ABSTRACT_UNIX_SOCKET(3)

NAME
CURLOPT_ABSTRACT_UNIX_SOCKET - abstract Unix domain socket

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_ABSTRACT_UNIX_SOCKET,
                          char *path);

DESCRIPTION
Enables the use of an abstract Unix domain socket instead of establishing a TCP connection to a host. The parameter should be a char * to a null-terminated string holding the path of the socket. The path will be set to path prefixed by a NULL byte (this is the convention for abstract sockets, however it should be stressed that the path passed to this function should not contain a leading NULL).

On non-supporting platforms, the abstract address will be interpreted as an empty string and fail gracefully, generating a runtime error.

This option shares the same semantics as CURLOPT_UNIX_SOCKET_PATH(3) in which documentation more details can be found. Internally, these two options share the same storage and therefore only one of them can be set per handle.

DEFAULT
Default is NULL.

PROTOCOLS
All

EXAMPLE
  curl_easy_setopt(curl_handle, CURLOPT_ABSTRACT_UNIX_SOCKET, "/tmp/foo.sock");
  curl_easy_setopt(curl_handle, CURLOPT_URL, "http://localhost/");

AVAILABILITY
Added in 7.53.0.

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_UNIX_SOCKET_PATH(3), unix(7),